import { HttpInterceptor } from '../common/http-interceptor.service';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/observable/of';
import 'rxjs/add/operator/first';
import { AuthService } from '../common/auth.service';
import { CRUDService } from '../common/crud.service';
import { AppConfigService } from '../common/app-config.service';
import { EventManagerService } from '../common/event-manager.service';
export declare class Oauth2Service extends CRUDService {
    http: HttpInterceptor;
    authService: AuthService;
    appConfig: AppConfigService;
    eventsManagerService: EventManagerService;
    constructor(http: HttpInterceptor, authService: AuthService, appConfig: AppConfigService, eventsManagerService: EventManagerService);
    init(): void;
    login(username: string, password: string): Observable<any>;
    appLogin(clientId?: string, clientSecret?: string): Observable<any>;
    refreshToken(refreshToken: string): Observable<Observable<any>>;
    logout(): void;
}
